% plot GP data generated by Sumatra

filebase_ref = '1442998723475-filtered';
filebase = '1443018086616-filtered';

T = importdata(strcat('../logs/fullSampler/',filebase,'.csv'));
sampleX = T(:,5:7);
sampleY = T(:,1:4);

GP{1} = importdata(strcat('../logs/gauss/',filebase,'-x.csv'));
GP{2} = importdata(strcat('../logs/gauss/',filebase,'-y.csv'));
GP{3} = importdata(strcat('../logs/gauss/',filebase,'-w.csv'));

GP_ref{1} = importdata(strcat('../logs/model/',filebase,'-x.csv'));
GP_ref{2} = importdata(strcat('../logs/model/',filebase,'-y.csv'));
GP_ref{3} = importdata(strcat('../logs/model/',filebase,'-w.csv'));

% GP_ref{1} = importdata(strcat('../logs/gauss/',filebase_ref,'-x.csv'));
% GP_ref{2} = importdata(strcat('../logs/gauss/',filebase_ref,'-y.csv'));
% GP_ref{3} = importdata(strcat('../logs/gauss/',filebase_ref,'-w.csv'));





A = cell(3,1);
for i=1:3
  DD = GP{i};
  A{i}.X = DD(:,i);
  A{i}.mu = DD(:,4:7);
  A{i}.sig = DD(:,8);
end

B = cell(3,1);
for i=1:3
  DD = GP_ref{i};
  B{i}.X = DD(:,i);
  B{i}.mu = DD(:,4:7);
end

dims = 1:3;

close all;
for i=dims

  figure(i);
  for w=1:4
    subplot(2,2,w);  title(sprintf('dim %d wheel %d', i, w));
    hold all;
    plot(A{i}.X,A{i}.mu(:,w));
    plot(B{i}.X,B{i}.mu(:,w));
    plot(A{i}.X,A{i}.mu(:,w)-repmat(2*A{i}.sig,[1,length(w)]),'M:');
    plot(A{i}.X,A{i}.mu(:,w)+repmat(2*A{i}.sig,[1,length(w)]),'M:');
    
    
    otherDims = dims(dims ~= i);
    tmp = sampleX(:,otherDims);
    weight = abs(tmp(:,1)) + abs(tmp(:,2));
    scatter(sampleX(:,i), sampleY(:,w),100,weight,'.');
    legend('GP','ref');
  end
end